function seed() {
  ver(4,8);
  hor(4,7);
  ver(3,6);
  hor(3,5);
  ver(2,4);
  hor(2,3);
  ver(1,2);
  hor(1,1);
}
function hor(n,sn) {
  for (var k=0;k<500;k++) {
    var r0=random0(7);
    var c0=random0(8-n);
    var ok=hor_clash_check(r0,c0,n);
    var v=3;
    if (ok) {
      for (var i=1;i<(n+1);i++) {
        if (i==n) v=4;
        if (n==1) v=1;
        set_a_sn(r0+1,c0+i,v,sn);
        v=2;
      }
      break;
    }
  }
  return ok;
}
function ver(n,sn) {
  for (var k=0;k<500;k++) {
    var r0=random0(8-n);
    var c0=random0(7);
    var ok=ver_clash_check(r0,c0,n);
    var v=5;
    if (ok) {
      for (var i=1;i<(n+1);i++) {
        if (i==n) v=6;
        if (n==1) v=1;
        set_a_sn(r0+i,c0+1,v,sn);
        v=2;
      }
      break;
    }
  }
  return ok;
}
function ver_clash_check(r0,c0,n) {
  var ok=true;
  for (r=r0;r<(r0+n+2);r++) {
    for (c=c0;c<(c0+3);c++) {
      var a=get_a(r,c);
      if (a!=7) {ok=false; break;}
    }
    if (!ok) break;
  }
  return ok;
}
function hor_clash_check(r0,c0,n) {
  var ok=true;
  for (r=r0;r<(r0+3);r++) {
    for (c=c0;c<(c0+n+2);c++) {
      var a=get_a(r,c);
      if (a!=7) {ok=false; break;}
    }
    if (!ok) break;
  }
  return ok;
}
